C SMALL CHARGED SPHERE:  Lorentz Force

  File:    denoms
  Input:   RdotU from file RdotU.z
  Output:  denom2, denom3 in file denoms.z

  Starting date:  November 8, 1987
  Last revision:  May 12, 1993

  We believe this to be correct as of 2 Dec 89.


C P lists

Read pinvert

Enter RdotU.z
Names RdotU
Common denom2,denom3

inv{x,n,r}

*fix

Z RdotU = RdotU

*next

C Expansion of denom2 = RdotU^-2:

A eps=2		! We need only 2 orders for leading nonsingular order.
B eps

Z denom2 =  pinv{ ( RdotU*eps^-1*norm^-1*c^-1 - 1 ), 2, 1 }

*yep

Id, Commu, D1y,D2y,D3y,D1u,D2u,D1a
Id, Addfa, eps^-2*norm^-2*c^-2

*next

C Expansion of denom3 = RdotU^-3:
A eps =3	! We need 3 orders.

Z XX = RdotU*eps^-1*norm^-1*c^-1 - 1
Id, Naa=Nac
Id, Nab=Nad
Keep XX
*next

A eps = 3   ! We need 3 orders for leading nonsingular order.
B eps

C Z denom3 = pinv{ ( RdotU*eps^-1*norm^-1*c^-1 - 1 ), 3, 2 }

X RR = RdotU*eps^-1*norm^-1*c^-1 - 1
Z denom3 = 1 - 3*RR + 6*RR*XX

*yep

Id, Commu, D1y,D2y,D3y,D1u,D2u,D1a
Id, Addfa, eps^-3*norm^-3*c^-3

* next

Delete RdotU
Write denoms.z

*end
