C SMALL CHARGED SPHERE:  Lorentz Force
  R(mu)*U(mu)

  File:    RdotU
  Input:   tau1.o, tau2.o, tau3.o from dtau.z
  Output:  RdotU in the file RdotU.z

  Starting date:  November 8, 1987
  Last revision:  November 12, 1987

  Believed to be correct after check on 2 Dec 89.

C P lists

Enter dtau.z   ! Load tau1.o, tau2.o, tau3.o

A dtau=4,eps=4   ! eps=4 to include leading nonsingular term

A c,tau1,tau2,tau3
I mu,nu
V u,a,j,n
F D1y,D2y,D3y,D1u,D2u,D1a
A norm
Common tau1.o,tau2.o,tau3.o
Common RdotU

X R(mu) = - D1y(mu,n)*eps - D2y(mu,n,n)*eps^2/2 

              - D3y(mu,n,n,n)*eps^3/6

           - u(mu)*dtau - D1u(mu,n)*eps*dtau

              - D2u(mu,n,n)*eps^2*dtau/2

           - a(mu)*dtau^2/2 - D1a(mu,n)*eps*dtau^2/2

           - j(mu)*dtau^3/6
   
X U(mu) = u(mu) + D1u(mu,n)*eps + D2u(mu,n,n)*eps^2/2

         + a(mu)*dtau + D1a(mu,n)*eps*dtau

         + j(mu)*dtau^2/2     

C X A(mu) = a(mu) + D1a(mu,n)*eps

         + j(mu)*dtau

*fix

B eps
Z RdotU = R(mu)*U(mu)
Sum mu

Id, uDu = c^2
Id, uDa = 0
Id, uDj = -aDa

Id, D1u(u,l~) = 0
Id, D1a(u,l~) = -D1u(a,l)
Id, D2u(u,l~,m~) = -D1u(nu,l)*D1u(nu,m)

Id, dtau = tau1.o*eps + tau2.o*eps^2 + tau3.o*eps^3

C *** ! A vicious substitution!
C Id, D1y(mu~,n~)*D1y(mu~,n~) = - norm*norm + D1y(u,n)*D1y(u,n)/c^2
C ***

Sum nu
B eps

*yep

Id, Commu, D1y,D2y,D3y,D1u,D2u,D1a

*next

Delete tau1.o,tau2.o,tau3.o
Write RdotU.z 

*end
